{% extends "admin/base_site.html" %}
{% load i18n static %}

{% load admin %}
{% load admin_dashboard %}

{% block title %} Dashboard {% endblock title %}
{% block extrastyle %}{{ block.super }}
  <link rel="stylesheet" type="text/css" href='{% static "admin/css/custom.min.css" %}' />
{% endblock %}
{% block javascripts %}
  {{ block.super }}
  <script src="/static/admin/vendors/Chart.js/dist/Chart.min.js"></script>
  <script src="/static/admin/js/custom_dashboard.min.js"></script>
{% endblock %}

{% block content %}
  <div class="row index-top" role="main">

    <div class="col-md-6">
      <div class="x_panel">

        <div class="x_title">
          <h3>Campaigns Under Execution</h3>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>

        {% getCampaignUnderExecution user.id as campaignUnderExecution_result %}
        {% getNumOfCampaignUnderExecution user.id as getNumOfCampaignUnderExecution_count %}
        <div class="x_content">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col" class="column-name">
                  <div class="text">Name</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Start Date</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Status</div>
                  <div class="clear"></div>
                </th>
              </tr>
            </thead>
            <tbody>
              {% for campaignUnderExecution_item in campaignUnderExecution_result %}
                <tr class="row1">
                  <th class="field-name"><a href="/admin/{{ APP_NAME }}/campaign/{{ campaignUnderExecution_item.id }}/change/">{{ campaignUnderExecution_item }}</a></th>
                  <th class="field-name">{{ campaignUnderExecution_item.start_date }}</th>
                  <th class="field-name">{{ campaignUnderExecution_item.campaign_status }}</th>
                </tr>
              {% endfor %}
            </tbody>
          </table>

          {% if getNumOfCampaignUnderExecution_count > 5 %}
            <p class="text-right"><a href="/admin/{% settings_value "APP_NAME" %}/campaign/">View all</a></p>
          {% endif %}
        </div>
        
      </div>
    </div>

    <!-- -->

    <div class="col-md-6">
      <div class="x_panel">

        <div class="x_title">
          <h3>Next Campaigns</h3>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>

        {% getCampaignFuture user.id as campaignFuture_result %}
        {% getNumOfCampaignFuture user.id as campaignFuture_count %}
        <div class="x_content">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col" class="column-name">
                  <div class="text">Name</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Start Date</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Status</div>
                  <div class="clear"></div>
                </th>
              </tr>
            </thead>
            <tbody>
              {% for campaignFuture_item in campaignFuture_result %}
                <tr class="row1">
                  <th class="field-name"><a href="/admin/{% settings_value "APP_NAME" %}/campaign/{{ campaignFuture_item.id }}/change/">{{ campaignFuture_item }}</a></th>
                  <th class="field-name">{{ campaignFuture_item.start_date }}</th>
                  <th class="field-name">{{ campaignFuture_item.campaign_status }}</th>
                </tr>
              {% endfor %}
            </tbody>
          </table>

          {% if campaignFuture_count > 5 %}
            <p class="text-right"><a href="/admin/{% settings_value "APP_NAME" %}/campaign/">View all</a></p>
          {% endif %}
        </div>
        
      </div>
    </div>

  </div>

  <!-- -->

  <div class="row index-top" role="main">

    {% graph1 user.id as graph1_result %}  
    <div class="col-md-12">
      <div class="x_panel">

        <div class="x_title">
          <h3>Last 10 Campaigns</h3>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>

        <div class="x_content">
          <canvas id="dashboard_graph_campaignsMostAnswers"></canvas>
          <input id="dashboard_graph_campaignsMostAnswers_data" type="hidden" value="{{ graph1_result }}"/>
        </div>

      </div>
    </div>

  </div>

  <!-- -->

  <div class="row index-top" role="main">

    <div class="col-md-6">
      <div class="x_panel">

        <div class="x_title">
          <h3>Most used Skills</h3>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>

        {% getSkillMoreUsed as skillMoreUsed_result %}
        {% getNumOfSkillMoreUsed as skillMoreUsed_count %}
        <div class="x_content">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col" class="column-name">
                  <div class="text">Name</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Value</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Num of Use</div>
                  <div class="clear"></div>
                </th>
              </tr>
            </thead>
            <tbody>
              {% for skillMoreUsed_item in skillMoreUsed_result %}
                <tr class="row1">
                  <th class="field-name"><a href="/admin/{% settings_value "APP_NAME" %}/skill/{{ skillMoreUsed_item.0 }}/change/">{{ skillMoreUsed_item.1 }}</a></th>
                  <th class="field-name">{{ skillMoreUsed_item.2 }}</th>
                  <th class="field-name">{{ skillMoreUsed_item.3 }}</th>
                </tr>
              {% endfor %}
            </tbody>
          </table>

          {% if skillMoreUsed_count > 5 %}
            <p class="text-right"><a href="/admin/{% settings_value "APP_NAME" %}/skill/">View all</a></p>
          {% endif %}
        </div>

      </div>
    </div>
    
    <!-- -->
    
    <div class="col-md-6">
      <div class="x_panel">

        <div class="x_title">
          <h3>Last registered Workers</h3>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>

        {% getLastWorker user.id as lastWorker_result %}
        {% getNumOfLastWorker user.id as lastWorker_count %}
        <div class="x_content">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col" class="column-name">
                  <div class="text">Surname</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Name</div>
                  <div class="clear"></div>
                </th>
                <th scope="col" class="column-name">
                  <div class="text">Date Joined</div>
                  <div class="clear"></div>
                </th>
              </tr>
            </thead>
            <tbody>
              {% for lastWorker_item in lastWorker_result %}
                <tr class="row1">
                  <th class="field-name"><a href="/admin/{% settings_value "APP_NAME" %}/worker/{{ lastWorker_item.0 }}/change/">{{ lastWorker_item.1 }}</a></th>
                  <th class="field-name"><a href="/admin/{% settings_value "APP_NAME" %}/worker/{{ lastWorker_item.0 }}/change/">{{ lastWorker_item.2 }}</a></th>
                  <th class="field-name">{{ lastWorker_item.3 }}</th>
                </tr>
              {% endfor %}
            </tbody>
          </table>

          {% if lastWorker_count > 5 and perms.argo.view_worker %}
            <p class="text-right"><a href="/admin/{% settings_value "APP_NAME" %}/worker/">View all</a></p>
          {% elif lastWorker_count > 5 %}
            <p class="text-right"><a href="/admin/{% settings_value "APP_NAME" %}/worker_campaign/">View all</a></p>
          {% endif %}
        </div>
        
      </div>
    </div>

  </div>

  <!-- -->

  {% if perms.argo.view_worker %}
    <div class="row index-top" role="main">

      <div class="col-md-6">
        <div class="x_panel">

          <div class="x_title">
            <h3>Genre of Workers</h3>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>

          {% graph2 as graph2_result %}  
          <div class="x_content">
          <div class="x_content">
            <canvas id="dashboard_graph_workersGenre"></canvas>
            <input id="dashboard_graph_workersGenre_data" type="hidden" value="{{ graph2_result }}"/>
          </div>
          </div>

        </div>
      </div>

      <!-- -->

      <div class="col-md-6">
        <div class="x_panel">

          <div class="x_title">
            <h3>Age of Workers</h3>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="Toggle"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>

          {% graph3 as graph3_result %}  
          <div class="x_content">
          <div class="x_content">
            <canvas id="dashboard_graph_workersAge"></canvas>
            <input id="dashboard_graph_workersAge_data" type="hidden" value="{{ graph3_result }}"/>
          </div>
          </div>

        </div>
      </div>

    </div>
  {% endif %}
{% endblock content %}